%global codename fuerte
%global shortname perception_pcl

Name:		ros-%{codename}-perception-pcl
Version:	1.2.2
Release:	3%{?dist}
Summary:	ROS Point Cloud Library support 
License:	BSD and LGPLv2+
URL:		http://ros.org/wiki/perception_pcl
Source0:	https://code.ros.org/svn/release/download/stacks/perception_pcl/perception_pcl-%{version}/perception_pcl-%{version}.tar.bz2
Patch0:		ros-perception-pcl-no-common-rosdeps.patch
# Use the ROS fork of PCL
Patch1:		ros-perception-pcl-use-ros-pcl.patch
# Fix mysqlclient lib handling
Patch2:		ros-perception-pcl-mysqlfix.patch
BuildRequires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
BuildRequires:	ros-%{codename}-dynamic-reconfigure-devel, ros-%{codename}-common-msgs-devel
BuildRequires:	ros-%{codename}-geometry-devel, ros-%{codename}-nodelet-core-devel
BuildRequires:	cmake, python-yaml, eigen3-devel, ros-%{codename}-pcl-devel, boost-devel
BuildRequires:	chrpath
Provides:	ros-%{shortname} = %{version}-%{release}
Provides:	ros-perception-pcl = %{version}-%{release}

%description
This ROS stack adds support for the Point Cloud Library (PCL) and a ROS
interface for PCL nodelets.

%package devel
Summary:	Development files for ROS perception_pcl
Requires:	ros-%{codename}-ros-devel, ros-%{codename}-ros-comm-devel
Requires:	ros-%{codename}-dynamic-reconfigure-devel, ros-%{codename}-common-msgs-devel
Requires:	ros-%{codename}-geometry-devel,	ros-%{codename}-nodelet-core-devel
Requires:	eigen3-devel, ros-%{codename}-pcl-devel
Requires:	%{name} = %{version}-%{release}
Provides:	ros-%{shortname}-devel = %{version}-%{release}
Provides:	ros-perception-pcl-devel = %{version}-%{release}

%description devel
Development files for ROS perception_pcl.

%prep
%setup -q -c
# We have to do this so the cmake gunk can find itself. So idiotic.
mv %{shortname}-%{version} %{shortname}
%patch0 -p1 -b .nocr
%patch1 -p1 -b .ros-pcl
%patch2 -p1 -b .mysqlfix

%build
cd %{shortname}
source /etc/catkin/profile.d/10.ros.all
export ROS_PACKAGE_PATH="%{_builddir}/%{name}-%{version}:$ROS_PACKAGE_PATH"
for i in pcl_ros; do
  pushd $i
  mkdir build
  cd build
  %cmake -DSETUPTOOLS_DEB_LAYOUT=OFF ..
  make %{?_smp_mflags}
  popd
done

%install
cd %{shortname}
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/
cp -a stack.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/

#pcl_ros
pushd pcl_ros
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros
cp -a include *.dox *.xml %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/bin
mkdir -p %{buildroot}%{_bindir}
cp -a bin/* %{buildroot}%{_bindir}/
for i in bag_to_pcd convert_pcd_to_image convert_pointcloud_to_image pcd_to_pointcloud pointcloud_to_pcd; do
  ln -s %{_bindir}/$i %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/bin/$i
done
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/lib
mkdir -p %{buildroot}%{_libdir}
for i in libpcl_ros_filters.so libpcl_ros_io.so libpcl_ros_tests.so libpcl_ros_tf.so; do
  cp -a lib/$i %{buildroot}%{_libdir}
  ln -s %{_libdir}/$i %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/lib/$i
done
mkdir -p %{buildroot}%{python_sitelib}/pcl_ros/
cp -a src/pcl_ros/__init__.py %{buildroot}%{python_sitelib}/pcl_ros/
cp -a cfg %{buildroot}%{python_sitelib}/pcl_ros/
# rm -rf %{buildroot}%{python_sitelib}/pcl_ros/cfg/cpp
mkdir -p %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/src
ln -s %{python_sitelib}/pcl_ros %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/src/pcl_ros
ln -s %{python_sitelib}/pcl_ros/cfg %{buildroot}%{_datadir}/ros-stacks/%{shortname}/pcl_ros/cfg
popd

chrpath -d %{buildroot}%{_bindir}/* 
chrpath -d %{buildroot}%{_libdir}/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%{_bindir}/bag_to_pcd 
%{_bindir}/convert_pcd_to_image 
%{_bindir}/convert_pointcloud_to_image 
%{_bindir}/pcd_to_pointcloud 
%{_bindir}/pointcloud_to_pcd
%{_datadir}/ros-stacks/%{shortname}/
%exclude %{_datadir}/ros-stacks/%{shortname}/pcl_ros/include/
%{_libdir}/libpcl_ros_filters.so
%{_libdir}/libpcl_ros_io.so
%{_libdir}/libpcl_ros_tests.so
%{_libdir}/libpcl_ros_tf.so
%{python_sitelib}/pcl_ros/

%files devel
%{_datadir}/ros-stacks/%{shortname}/pcl_ros/include/

%changelog
* Fri Jun  1 2012 Tom Callaway <spot@fedoraproject.org> - 1.2.2-3
- fix how we find mysqlclient lib

* Fri Jun  1 2012 Tom Callaway <spot@fedoraproject.org> - 1.2.2-2
- fix pkgconfig invocation

* Thu May 31 2012 Tom Callaway <spot@fedoraproject.org> - 1.2.2-1
- initial package
